Print | Rate this content

HPESBHF03838 rev.1 - HPE iMC and Comware 7-based Switches and Routers using OpenSSL, Multiple Remote Vulnerabilities

SUPPORT COMMUNICATION - SECURITY BULLETIN

Document ID: hpesbhf03838en_us

Version: 1

HPESBHF03838 rev.1 - HPE iMC and Comware 7-based Switches and Routers using OpenSSL, Multiple Remote Vulnerabilities
NOTICE: The information in this Security Bulletin should be acted upon as soon as possible.

Release Date: 2018-07-18

Last Updated: 2018-07-18


Potential Security Impact: Remote: Denial of Service (DoS), Unauthorized Disclosure of Information

Source: Hewlett Packard Enterprise, HPE Product Security Response Team

VULNERABILITY SUMMARY

A security vulnerability in Comware 7 switches and routers and Intelligent Management Center (iMC) products using OpenSSL could be remotely exploited to allow a Denial of Service or the unauthorized disclosure of information.

References:
  • CVE-2017-3730 - Denial of Service
  • CVE-2017-3731 - Denial of Service
  • CVE-2017-3732 - Unauthorized Disclosure of Information

SUPPORTED SOFTWARE VERSIONS*: ONLY impacted versions are listed.

  • HPE Intelligent Management Center (iMC) All versions - IMC PLAT and IMC UAM_TAM
  • HPE FlexNetwork VSR1000 Virtual Services Router Series Comware 7 - Detailed list of devices provided below
  • HPE FlexFabric 7900 Switch Series Comware 7 - Detailed list of devices provided below
  • HPE FlexNetwork 5130 EI Switch Series Comware 7 - Detailed list of devices provided below
  • HPE FlexNetwork 5130 EI Brazil Switch Series Comware 7 - Detailed list of devices provided below
  • HPE 6125XLG Ethernet Blade Switch Comware 7 - Detailed list of devices provided below
  • HPE 6127XLG Blade Switch Comware 7 - Detailed list of devices provided below
  • HPE Moonshot-45Gc Switch Module Comware 7 - Detailed list of devices provided below
  • HPE Moonshot-45XGc Switch Module Comware 7 - Detailed list of devices provided below
  • HPE FlexFabric 5700 Switch Series Comware 7 - Detailed list of devices provided below
  • HPE FlexFabric 5930 Switch Series Comware 7 - Detailed list of devices provided below
  • HPE FlexNetwork 7500 Switch Series Comware 7 - Detailed list of devices provided below
  • HPE FlexNetwork 5510 HI Switch Series Comware 7 - Detailed list of devices provided below
  • HPE FlexNetwork 5130 HI Switch Series Comware 7 - Detailed list of devices provided below
  • HPE FlexFabric 5940 Switch Series Comware 7 - Detailed list of devices provided below
  • HPE FlexFabric 5950 Switch Series Comware 7 - Detailed list of devices provided below
  • HPE IMC User Access Management Software Comware 7 - Detailed list of devices provided below
  • HPE FlexFabric 12900E Switch Series Comware 7 - Detailed list of devices provided below
  • HPE OfficeConnect 1950 Switch Series Comware 7 - Detailed list of devices provided below
  • HPE FlexNetwork MSR1000 Router Series Comware 7 - Detailed list of devices provided below
  • HPE FlexNetwork MSR2000 Router Series Comware 7 - Detailed list of devices provided below
  • HPE FlexNetwork MSR3000 Router Series Comware 7 - Detailed list of devices provided below
  • HPE FlexNetwork MSR4000 Router Series Comware 7 - Detailed list of devices provided below

BACKGROUND

CVSS Version 3.0 and Version 2.0 Base Metrics
Reference
V3 Vector
V3 Base Score
V2 Vector
V2 Base Score
CVE-2017-3730
CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
7.5
(AV:N/AC:L/Au:N/C:N/I:N/A:C)
7.8
CVE-2017-3731
CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
7.5
(AV:N/AC:L/Au:N/C:N/I:N/A:C)
7.8
CVE-2017-3732
CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N
5.9
(AV:N/AC:H/Au:N/C:C/I:N/A:N)
5.4
Information on CVSS is documented in HPE Customer Notice: HPSN-2008-002

RESOLUTION

HPE has made the following software updates to resolve the vulnerability in the Comware 7 and IMC products that have been identified to be vulnerable. A detailed spread sheet will be provided.

  • MSR1000 (Comware 7) - Version: R0306P83

    • HPE Branded Products Impacted
      • JG875A HP MSR1002-4 AC Router
      • JH060A HP MSR1003-8S AC Router
    • CVEs
      • CVE-2017-3730
      • CVE-2017-3731
      • CVE-2017-3732
    • MSR2000 (Comware 7) - Version: R0306P83
    • HPE Branded Products Impacted
      • JG411A HP MSR2003 AC Router
      • JG734A HP MSR2004-24 AC Router
      • JG735A HP MSR2004-48 Router
      • JG866A HP MSR2003 TAA-compliant AC Router
    • CVEs
      • CVE-2017-3730
      • CVE-2017-3731
      • CVE-2017-3732
    • MSR3000 (Comware 7) - Version: R0306P83
    • HPE Branded Products Impacted
      • JG404A HP MSR3064 Router
      • JG405A HP MSR3044 Router
      • JG406A HP MSR3024 AC Router
      • JG407A HP MSR3024 DC Router
      • JG408A HP MSR3024 PoE Router
      • JG409A HP MSR3012 AC Router
      • JG410A HP MSR3012 DC Router
      • JG861A HP MSR3024 TAA-compliant AC Router
    • CVEs
      • CVE-2017-3730
      • CVE-2017-3731
      • CVE-2017-3732
    • MSR4000 (Comware 7) - Version: R0306P83
    • HPE Branded Products Impacted
      • JG402A HP MSR4080 Router Chassis
      • JG403A HP MSR4060 Router Chassis
      • JG412A HP MSR4000 MPU-100 Main Processing Unit
      • JG869A HP MSR4000 TAA-compliant MPU-100 Main Processing Unit
    • CVEs
      • CVE-2017-3730
      • CVE-2017-3731
      • CVE-2017-3732
    • VSR (Comware 7) - Version: R0327L01
    • HPE Branded Products Impacted
      • JG810AAE HP VSR1001 Virtual Services Router 60 Day Evaluation Software
      • JG811AAE HP VSR1001 Comware 7 Virtual Services Router
      • JG812AAE HP VSR1004 Comware 7 Virtual Services Router
      • JG813AAE HP VSR1008 Comware 7 Virtual Services Router
    • CVEs
      • CVE-2017-3730
      • CVE-2017-3731
      • CVE-2017-3732
    • 7900 (Comware 7) - Version: R2710
    • HPE Branded Products Impacted
      • JG682A HP FlexFabric 7904 Switch Chassis
      • JG841A HP FlexFabric 7910 Switch Chassis
      • JG842A HP FlexFabric 7910 7.2Tbps Fabric / Main Processing Unit
      • JH001A HP FlexFabric 7910 2.4Tbps Fabric / Main Processing Unit
      • JH122A HP FlexFabric 7904 TAA-compliant Switch Chassis
      • JH123A HP FlexFabric 7910 TAA-compliant Switch Chassis
      • JH124A HP FlexFabric 7910 7.2Tbps TAA-compliant Fabric/Main Processing Unit
      • JH125A HP FlexFabric 7910 2.4Tbps TAA-compliant Fabric/Main Processing Unit
    • CVEs
      • CVE-2017-3730
      • CVE-2017-3731
      • CVE-2017-3732
    • 5130EI (Comware 7) - Version: R3116
    • HPE Branded Products Impacted
      • JG932A HP 5130-24G-4SFP+ EI Switch
      • JG933A HP 5130-24G-SFP-4SFP+ EI Switch
      • JG934A HP 5130-48G-4SFP+ EI Switch
      • JG936A HP 5130-24G-PoE+-4SFP+ (370W) EI Switch
      • JG937A HP 5130-48G-PoE+-4SFP+ (370W) EI Switch
      • JG938A HP 5130-24G-2SFP+-2XGT EI Switch
      • JG939A HP 5130-48G-2SFP+-2XGT EI Switch
      • JG940A HP 5130-24G-PoE+-2SFP+-2XGT (370W) EI Switch
      • JG941A HP 5130-48G-PoE+-2SFP+-2XGT (370W) EI Switch
      • JG975A HP 5130-24G-4SFP+ EI Brazil Switch
      • JG976A HP 5130-48G-4SFP+ EI Brazil Switch
      • JG977A HP 5130-24G-PoE+-4SFP+ (370W) EI Brazil Switch
      • JG978A HP 5130-48G-PoE+-4SFP+ (370W) EI Brazil Switch
    • CVEs
      • CVE-2017-3730
      • CVE-2017-3731
      • CVE-2017-3732
    • 6125XLG - Version: R2432P03
    • HPE Branded Products Impacted
      • 711307-B21 HP 6125XLG Blade Switch
      • 737230-B21 HP 6125XLG Blade Switch with TAA
    • CVEs
      • CVE-2017-3730
      • CVE-2017-3731
      • CVE-2017-3732
    • 6127XLG - Version: R2432P03
    • HPE Branded Products Impacted
      • 787635-B21 HP 6127XLG Blade Switch Opt Kit
      • 787635-B22 HP 6127XLG Blade Switch with TAA
    • CVEs
      • CVE-2017-3730
      • CVE-2017-3731
      • CVE-2017-3732
    • Moonshot - Version: R2432P03
    • HPE Branded Products Impacted
      • 786617-B21 - HP Moonshot-45Gc Switch Module
      • 704654-B21 - HP Moonshot-45XGc Switch Module
      • 786619-B21 - HP Moonshot-180XGc Switch Module
    • CVEs
      • CVE-2017-3730
      • CVE-2017-3731
      • CVE-2017-3732
    • 5700 (Comware 7) - Version: R2432P03
    • HPE Branded Products Impacted
      • JG894A HP FlexFabric 5700-48G-4XG-2QSFP+ Switch
      • JG895A HP FlexFabric 5700-48G-4XG-2QSFP+ TAA-compliant Switch
      • JG896A HP FlexFabric 5700-40XG-2QSFP+ Switch
      • JG897A HP FlexFabric 5700-40XG-2QSFP+ TAA-compliant Switch
      • JG898A HP FlexFabric 5700-32XGT-8XG-2QSFP+ Switch
      • JG899A HP FlexFabric 5700-32XGT-8XG-2QSFP+ TAA-compliant Switch
    • CVEs
      • CVE-2017-3730
      • CVE-2017-3731
      • CVE-2017-3732
    • 5930 (Comware 7) - Version: R2432P03
    • HPE Branded Products Impacted
      • JG726A HP FlexFabric 5930 32QSFP+ Switch
      • JG727A HP FlexFabric 5930 32QSFP+ TAA-compliant Switch
      • JH178A HP FlexFabric 5930 2QSFP+ 2-slot Switch
      • JH179A HP FlexFabric 5930 4-slot Switch
      • JH187A HP FlexFabric 5930 2QSFP+ 2-slot TAA-compliant Switch
      • JH188A HP FlexFabric 5930 4-slot TAA-compliant Switch
    • CVEs
      • CVE-2017-3730
      • CVE-2017-3731
      • CVE-2017-3732
    • 1950 (Comware 7) - Version: R3116
    • HPE Branded Products Impacted
      • JG960A HP 1950-24G-4XG Switch
      • JG961A HP 1950-48G-2SFP+-2XGT Switch
      • JG962A HP 1950-24G-2SFP+-2XGT-PoE+(370W) Switch
      • JG963A HP 1950-48G-2SFP+-2XGT-PoE+(370W) Switch
    • CVEs
      • CVE-2017-3730
      • CVE-2017-3731
      • CVE-2017-3732
    • 7500 (Comware 7) - Version: R7557P01
    • HPE Branded Products Impacted
      • JD238C HP 7510 Switch Chassis
      • JD239C HP 7506 Switch Chassis
      • JD240C HP 7503 Switch Chassis
      • JD242C HP 7502 Switch Chassis
      • JH207A HP 7500 1.2Tbps Fabric with 2-port 40GbE QSFP+ for IRF-Only Main Processing Unit
      • JH208A HP 7502 Main Processing Unit
      • JH209A HP 7500 2.4Tbps Fabric with 8-port 1/10GbE SFP+ and 2-port 40GbE QSFP+ Main Processing Unit
    • CVEs
      • CVE-2017-3730
      • CVE-2017-3731
      • CVE-2017-3732
    • 5510HI (Comware 7) - Version: R1122P01
    • HPE Branded Products Impacted
      • JH145A HPE 5510 24G 4SFP+ HI 1-slot Switch
      • JH146A HPE 5510 48G 4SFP+ HI 1-slot Switch
      • JH147A HPE 5510 24G PoE+ 4SFP+ HI 1-slot Switch
      • JH148A HPE 5510 48G PoE+ 4SFP+ HI 1-slot Switch
      • JH149A HPE 5510 24G SFP 4SFP+ HI 1-slot Switch
    • CVEs
      • CVE-2017-3730
      • CVE-2017-3731
      • CVE-2017-3732
    • 5130H1 (Comware 7) - Version: R1122P01
    • HPE Branded Products Impacted
      • JH323A HPE 5130 24G 4SFP+ 1-slot HI Switch
      • JH324A HPE 5130 48G 4SFP+ 1-slot HI Switch
      • JH325A HPE 5130 24G PoE+ 4SFP+ 1-slot HI Switch
      • JH326A HPE 5130 48G PoE+ 4SFP+ 1-slot HI Switch
    • CVEs
      • CVE-2017-3730
      • CVE-2017-3731
      • CVE-2017-3732
    • 12900E (Comware 7) - Version: R2708
    • HPE Branded Products Impacted

      • JG619A HPE FlexFabric 12910 Switch AC Chassis
      • JG621A HPE FlexFabric 12910 Main Processing Unit
      • JG632A HPE FlexFabric 12916 Switch AC Chassis
      • JG634A HPE FlexFabric 12916 Main Processing Unit
      • JH104A HPE FlexFabric 12900E Main Processing Unit
      • JH114A HPE FlexFabric 12910 TAA-compliant Main Processing Unit
      • JH263A HPE FlexFabric 12904E Main Processing Unit
      • JH255A HPE FlexFabric 12908E Switch Chassis
      • JH262A HPE FlexFabric 12904E Switch Chassis
      • JH113A HPE FlexFabric 12910 TAA-compliant Switch AC Chassis
      • JH103A HPE FlexFabric 12916E Switch Chassis
      • JH668A HPE FlexFabric 12904E v2 Main Processing Unit
      • JH669A HPE FlexFabric 12900E v2 Main Processing Unit
      • JH345A HPE FlexFabric 12902E Switch Chassis
      • JH346A HPE FlexFabric 12902E Main Processing Unit
      • JH951A HPE FlexFabric 12901E Switch Chassis
    • CVEs

      • CVE-2017-3730
      • CVE-2017-3731
      • CVE-2017-3732
    • 5940 (Comware 7) - Version: R2609
    • HPE Branded Products Impacted
      • JH390A HPE FlexFabric 5940 48SFP+ 6QSFP28 Switch
      • JH391A HPE FlexFabric 5940 48XGT 6QSFP28 Switch
      • JH394A HPE FlexFabric 5940 48XGT 6QSFP+ Switch
      • JH395A HPE FlexFabric 5940 48SFP+ 6QSFP+ Switch
      • JH396A HPE FlexFabric 5940 32QSFP+ Switch
      • JH397A HPE FlexFabric 5940 2-slot Switch
      • JH398A HPE FlexFabric 5940 4-slot Switch
      • JQ044A HPE FlexFabric 5940 4-slot Back-to-Front AC Bundle
      • JQ043A HPE FlexFabric 5940 4-slot Front-to-Back AC Bundle
      • JQ042A HPE FlexFabric 5940 2-slot 2QSFP+ Back-to-Front AC Bundle
      • JQ041A HPE FlexFabric 5940 2-slot 2QSFP+ Front-to-Back AC Bundle
    • CVEs
      • CVE-2017-3730
      • CVE-2017-3731
      • CVE-2017-3732
    • 5950 (Comware 7) - Version: R6205P03
    • HPE Branded Products Impacted
      • JH321A HPE FlexFabric 5950 32QSFP28 Switch
      • JH402A HPE FlexFabric 5950 48SFP28 8QSFP28 Switch
      • JH404A HPE FlexFabric 5950 4-slot Switch
    • CVEs
      • CVE-2017-3730
      • CVE-2017-3731
      • CVE-2017-3732
    • 10500 (Comware 7) R75xx - Version: R7557P01
    • HPE Branded Products Impacted
      • JC611A HP 10508-V Switch Chassis
      • JC612A HP 10508 Switch Chassis
      • JC613A HP 10504 Switch Chassis
      • JC748A HP 10512 Switch Chassis
      • JG608A HP FlexFabric 11908-V Switch Chassis
      • JG609A HP FlexFabric 11900 Main Processing Unit
      • JG820A HP 10504 TAA Switch Chassis
      • JG821A HP 10508 TAA Switch Chassis
      • JG822A HP 10508-V TAA Switch Chassis
      • JG823A HP 10512 TAA Switch Chassis
      • JG496A HP 10500 Type A MPU w/Comware v7 OS
      • JH198A HP 10500 Type D Main Processing Unit with Comware v7 Operating System
      • JH206A HP 10500 Type D TAA-compliant with Comware v7 Operating System Main Processing Unit
    • CVEs

      • CVE-2017-3730
      • CVE-2017-3731
      • CVE-2017-3732
    • IMC PLAT - Version: iMC PLAT 7.3 E0504P04

    • HPE Branded Products Impacted
      • JD125A HP IMC Std S/W Platform w/100-node
      • JD126A HP IMC Ent S/W Platform w/100-node
      • JD808A HP IMC Ent Platform w/100-node License
      • JD814A HP A-IMC Enterprise Edition Software DVD Media
      • JD815A HP IMC Std Platform w/100-node License
      • JD816A HP A-IMC Standard Edition Software DVD Media
      • JF288AAE HP Network Director to Intelligent Management Center Upgrade E-LTU
      • JF289AAE HP Enterprise Management System to Intelligent Management Center Upgrade E-LTU
      • JF377A HP IMC Std S/W Platform w/100-node Lic
      • JF377AAE HP IMC Std S/W Pltfrm w/100-node E-LTU
      • JF378A HP IMC Ent S/W Platform w/200-node Lic
      • JF378AAE HP IMC Ent S/W Pltfrm w/200-node E-LTU
      • JG546AAE HP IMC Basic SW Platform w/50-node E-LTU
      • JG548AAE HP PCM+ to IMC Bsc Upgr w/50-node E-LTU
      • JG549AAE HP PCM+ to IMC Std Upgr w/200-node E-LTU
      • JG747AAE HP IMC Std SW Plat w/ 50 Nodes E-LTU
      • JG748AAE HP IMC Ent SW Plat w/ 50 Nodes E-LTU
      • JG768AAE HP PCM+ to IMC Std Upg w/ 200-node E-LTU
      • JG550AAE HPE PCM+ Mobility Manager to IMC Basic WLAN Platform Upgrade 50-node and 150-AP E-LTU
      • JG590AAE HPE IMC Basic WLAN Manager Software Platform 50 Access Point E-LTU
      • JG660AAE HP IMC Smart Connect with Wireless Manager Virtual Appliance Edition E-LTU
      • JG766AAE HP IMC Smart Connect Virtual Appliance Edition E-LTU
      • JG767AAE HP IMC Smart Connect with Wireless Manager Virtual Appliance Edition E-LTU
      • JG768AAE HPE PCM+ to IMC Standard Software Platform Upgrade with 200-node E-LTU
      • JH704AAE Aruba IMC Std SW Plat w/50-node E-LTU
      • JH705AAE Aruba IMC Ent SW Plat w/50-node E-LTU
    • CVEs
      • CVE-2017-3730
      • CVE-2017-3731
      • CVE-2017-3732
    • IMC UAM_TAM - Version: iMC UAM_TAM 7.3 E0504
    • HPE Branded Products Impacted
      • JF388A HP IMC UAM S/W MODULE W/200-USER LICENSE
      • JF388AAE HP IMC UAM S/W MODULE W/200-USER E-LTU
      • JG752AAE HP IMC UAM SW MOD W/ 50-USER E-LTU
      • JG483A HP IMC TAM S/W MODULE W/100-NODE LIC
      • JG483AAE HP IMC TAM S/W MODULE W/100-NODE E-LTU
      • JG764AAE HP IMC TAM SW MOD W/ 50-NODE E-LTU
    • CVEs
      • CVE-2017-3730
      • CVE-2017-3731
      • CVE-2017-3732

HISTORY
Version:1 (rev.1) - 18 July 2018 Initial release

Third Party Security Patches: Third party security patches that are to be installed on systems running Hewlett Packard Enterprise (HPE) software products should be applied in accordance with the customer's patch management policy.

Support: For issues about implementing the recommendations of this Security Bulletin, contact normal HPE Services support channel. For other issues about the content of this Security Bulletin, send e-mail to security-alert@hpe.com.

Report: To report a potential security vulnerability for any HPE supported product:

Subscribe: To initiate a subscription to receive future HPE Security Bulletin alerts via Email: http://www.hpe.com/support/Subscriber_Choice

Security Bulletin Archive: A list of recently released Security Bulletins is available here: http://www.hpe.com/support/Security_Bulletin_Archive

Software Product Category: The Software Product Category is represented in the title by the two characters following HPSB.

3C = 3COM
3P = 3rd Party Software
GN = HP General Software
HF = HP Hardware and Firmware
MU = Multi-Platform Software
NS = NonStop Servers
OV = OpenVMS
PV = ProCurve
ST = Storage Software
UX = HP-UX

©Copyright 2018 Hewlett Packard Enterprise Development LP
Hewlett Packard Enterprise Development shall not be liable for technical or editorial errors or omissions contained herein. The information provided is provided "as is" without warranty of any kind. To the extent permitted by law, neither HPE nor its affiliates, subcontractors or suppliers will be liable for incidental, special or consequential damages including downtime cost; lost profits; damages relating to the procurement of substitute products or services; or damages for loss of data, or software restoration. The information in this document is subject to change without notice. Hewlett Packard Enterprise Development and the names of Hewlett Packard Enterprise Development products referenced herein are trademarks of Hewlett Packard Enterprise Development in the United States and other countries. Other product and company names mentioned herein may be trademarks of their respective owners.

Legal Disclaimer: Products sold prior to the November 1, 2015 separation of Hewlett-Packard Company into Hewlett Packard Enterprise Company and HP Inc. may have older product names and model numbers that differ from current models.

Provide feedback

Please rate the information on this page to help us improve our content. Thank you!
Document title: HPESBHF03838 rev.1 - HPE iMC and Comware 7-based Switches and Routers using OpenSSL, Multiple Remote Vulnerabilities
Document ID: emr_na-hpesbhf03838en_us-1
How helpful was this document?
How can we improve this document?
Note: Only English language comments can be accepted at this time.
Please wait while we process your request.